<template>
  <div class="base-link">
    <div v-for="(item, index) in linkList" :key="index" class="base-link__item">
      <el-input
        v-model="item.name"
        placeholder="请输入名称"
        clearable
        @change="onInputChange"
      />
      <i class="base-link__separator">-</i>
      <el-input
        v-model="item.link"
        placeholder="请输入链接"
        clearable
        @change="onInputChange"
      />
      <div class="base-link__delete" @click="deletePoject(index)">
        <i class="el-icon-delete"></i>
      </div>
    </div>
    <div class="base-link__add">
      <el-button type="primary" icon="el-icon-plus" @click="addPoject"
        >继续添加</el-button
      >
    </div>
  </div>
</template>

<script>
export default {
  name: 'BaseLink',
  props: {
    value: {
      type: Array,
      default: () => [],
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      codeForm: {},
      linkList: [],
    }
  },
  watch: {
    value: {
      immediate: true,
      handler(value) {
        this.linkList = value || []
      },
    },
  },
  methods: {
    addPoject() {
      this.linkList.push({
        name: '',
        link: '',
      })
      this.onInputChange()
    },
    deletePoject(item) {
      this.linkList.splice(item, 1)
      this.onInputChange()
    },
    onInputChange() {
      this.$emit('input', this.linkList)
      this.$emit('change', this.linkList)
    },
  },
}
</script>

<style lang="scss" scoped>
.base-link {
  height: 100%;
  &__item {
    position: relative;
    display: flex;
    align-items: center;
    .el-input {
      width: 45% !important;
    }
    &:not(:last-child) {
      margin-bottom: 8px;
    }
  }
  &__separator {
    margin: 0 6px;
  }
  &__delete {
    cursor: pointer;
    font-size: 20px;
    margin-left: 15px;
    color: $tip-color;
  }
  &__add {
    margin-top: 5px;
  }
}
</style>
